
== Changelog ==

* Fixed: CSS selectors for admin page.

1.8.4.7

* Added: Permissions management for the Envira Gallery.

1.8.4.6

* Fixed: Javascript warnings when adding a gallery in the block editor.

1.8.4.5

* Fixed: Tweaked icon spacing and placement in image editor blocks.

1.8.4.4

* Fixed: Issue involving not being able to edit caption or title in the block editor for individual images in a gallery in certain layouts.

1.8.4.3

* Fixed: Issue involving fatal error when empying a gallery from the trash.

1.8.4.2

* Fixed: Corrected text box type and visual look of subscription form signup modal.

1.8.4.1

* Fixed: Resolved fatal error upon checking for active plugins upon loading.

1.8.4.0

* Fixed: Issue involving margin resets in block editor.
* Fixed: Issue involving margin resets in block editor.
* Fixed: Issue involving gallery button with Classic Editor.
* Fixed: Resolved conflict with Enhanced Media Replace Pro.
* Fixed: PHP 8.x and related notices and warnings.

1.8.3.9

* Updated: Images

1.8.3.8

* Updated: Getting Started area - new tab and updated CSS.

1.8.3.7
* Fixed: Issue regarding lightbox and uploaded WebP images.

1.8.3.6
* Updated: Removed Additional Marketing Copy
* Added: WebP Support

1.8.3.5
* Updated: Expired Marketing Offer

1.8.3.4

* Updated: Promotional messages.
* Fixed: PHP 8 related notices.

1.8.3.3

* Fixed: Improving metadata sanitization.

1.8.3.2

* Fixed: Lightbox Bug with WordPress 5.6.0

1.8.3.1

* Added: Lifetime option notice.

1.8.3

* Updated: Recent News On Welcome Screen.
* Updated: Links On What's New Screen.

1.8.2

* Added: Most Popular sort in Addons screen.
* Updated: Recent News On Welcome Screen.
* Updated: Links On What's New Screen.

1.8.1

* Added: envira_gallery_output_item_src_retina filter.
* Added: envira_gallery_title_display filter.
* Added: filters for aspectRatio, loop, lightbox openclose effect, and more for Fancybox settings.
* Updated: Subscription number.
* Updated: Remove references to Facebook Video.

1.8.0.3

* Fix: Tweak UI for upcoming WordPress 5.5 admin visual changes.
* Fix: Removed outdated URL from translation files.

1.8.0.2

* Removed: Legacy style related to Gutenberg.

1.8.0.1

* Removed: Redirect upon updating.

1.8.0

* Added: Enable links in lightbox settings, when lightbox is deactivated.

1.7.9.0

* Fix: Updated bad link that resulted in a 404.

1.7.8.9

* Updated: Text on Welcome Screen.
* Fix: Replace deprecated filter media_buttons_context.

1.7.8.8

* Added: Oringial Size option for image sizes in gallery.
: Added: Compatibility with animated GIFS (oringial size option).

1.7.8.7

* Fixed: Bug associated with using non-default WordPress media upload folders.

1.7.8.6

* Fixed: Readme.txt updated

1.7.8.5

* Updated: Tested with WordPress 5.4.0.

1.7.8.4

* Fixed: Readme.txt updated

1.7.8.2

* Fixed: Version number variable updated.

1.7.8.1

* Fixed: Minor typos.

1.7.8

* Fixed: Alert message appearing in wrong location on Lite vs. Pro page.

1.7.7

* Updated: Minor code cleanup, updating authors.

1.7.6

* Updated: Welcome Screen, tracking links.

1.7.5.1

* Updated: Welcome Screen.

1.7.5

* Updated: Welcome Screen, Lite vs Pro tab.

1.7.4.2

* Updated: Promotion updating.

1.7.4.1

* Fix: Promotion updating.


1.7.4

* Added: Messaging.
* Added: Promotion class.

1.7.3.1

* Fix: Resolving Gutenberg links and minor errors related to media uploads.

1.7.3

* Fix: Reverting some changes related to Gutenberg.

1.7.2

* Updated: Gutenberg performance improvements.
* Fix: Errors related to Gutenberg updates.
* Fix: Typo resolved in Media.php causing PHP Warning.

1.7.1

* Fix: Schema referenced now points to https.
* Fix: Remove unused CSS.

1.7.0

* Updated: Welcome Screen information.
* Fix: Issue involving showing captions in certain scenarios.
* Fix: Remove unused CSS.


= 1.7.0 =

* Updated: Welcome Screen information.
* Fix: Issue involving showing captions in certain scenarios.
* Fix: Remove unused CSS.

= 1.6.9 =

* Fix: Update post_type-check in the add-meta-boxes hook.

= 1.6.8 =

* Added: Welcome Screen.
* Fix: Translation tag.

= 1.6.7 =

* Fix: Issue involving automatic and column galleries on the same page.
* Fix: Minor bug fixes.

= 1.6.6 =

* Fix: Escaping in the admin.
* Fix: Minor bug fixes.

= 1.6.5 =

* Fix: Escaping in the admin
* Remove: Error Log
* Fix: Minor bug fixes.

= 1.6.4 =

* Fix: Gutenberg Block gallery preview appearing out of order.
* Fix: Minor bug fixes.


= 1.6.3 =

* Added: Gutenberg Block support ( Beta )
* Added: Set margins for Automatic Layouts
* Fix: Minor bug fixes

= 1.6.2 =

* Fix: Image titles with numbers throwing js errors.
* Fix: Minor bug fixes

= 1.6.1.7 =

* Fix: Minor bug fixes

= 1.6.1.6 =

* Fix: Minor bug fixes

= 1.6.1.5 =

* Fix: Minor bug fixes

= 1.6.1.4 =

* Fix: Minor bug fixes

= 1.6.1.3 =

* Fix: Compress CSS files.
* Fix: External URL in Lightbox.
* Fix: Minor bug fixes

= 1.6.1.2 =

* Fix: Minor bug fixes

= 1.6.1.1 =

* Fix: Minor bug fixes

= 1.6.1 =

* Fix: Minor bug fixes

= 1.6.0 =

* Added: Lazy loading
* Fix: Minor bug fixes

= 1.5.6.4 =

* Fix: CSS issues TwentySeventeen
* Fix: Minor bug fixes.

= 1.5.6.3 =

* Fix: Fix PHP 5.2 compatibility.


= 1.5.6.2 =

* Fix: Improved image selection based on various settings.
* Fix: Minor bug fixes.


= 1.5.6.1 =

* Fix: Fix cases where images appear blurry with automatic layout
* Fix: Minor bug fixes

= 1.5.6 =

* Fix: PHP optimizations to improve performance
* Fix: Automatic Layout option now selects default images based on the specified row height to improve loading times
* Fix: Minor bug fixes

= 1.5.5.1 =

* Fix: Fatal Error on empty trash for galleries

= 1.5.5 =
* Added: Select Image sizes for Automatic Layout.
* Fix: Some servers limit how many images can be inserted at a time.
* Fix: Various minor bug fixes.

= 1.5.4 =
* Fix: Error with lightbox script causing it not to load in some instances.

= 1.5.3 =
* Updated: Revising Fancybox JS.

= 1.5.2 =
* Fix: Justified layout setting of 150 pixels for row height applies to galleries that were using the older Automattic layout.

= 1.5.1 =
* Added: A justified layout replaces the old "automatic" layout setting for galleries. See documentation on enviragallery.com for additional information.
* Updated: Spanish translation.
* Fix: Removing "Insert From Url" option for galleries.
* Fix: Display follows settings properly when WPML is used in certain circumstances.

= 1.5.0.8 =
* Fix: Close button in Lightbox admin bar should not jump position with longer titles.

= 1.5.0.7 =
* Fix: Addressing "unexpected end of input" JS Error.

= 1.5.0.6 =
* Fix: Took care of an issue with compatibility on PHP 5.2 that caused images not be editable in the image metadata modal
* Fix: Make sure that the link modal appears above the metadata edit modal when inserting a link into the caption
* Fix: Prevent the page from jumping to the top when navigating between images in the Lightbox
* Fix: Prevent page from scrolling while Lightbox is active on mobile devices
* Fix: Images on a mobile device now open with a single click
* Fix: Adjust Lightbox transitions so that they work properly

= 1.5.0.5 =
* Fix: Make sure columns on mobile correspond to the settings selected in general config

= 1.5.0.4 =
* Fix: Improved default settings for new galleries
* Fix: Correctly display the title in the Lightbox if the Lightbox view is defined
* Fix: Sometimes galleries throwing JS errors in admin

= 1.5.0.3 =
* Fix: Ensure all CSS and JS is minified
* Fix: Ensure all inline JS is minified
* Fix: Prevent potential collisions with third party Plugins and Themes using different versions of the imagesLoaded library.
* Fix: Minor layout issues with Addons screen
* Fix: Improved Addons search and sorting performance
* Fix: Prevent JS errors when Galleries are loaded by slug

= 1.5.0.2 =
* Added: ImageGallery and ImageObject Schema Markup to Galleries
* Added: Option to insert Title as heading when using the Add button in a Visual Editor
* Added: More detailed on screen progress bars when uploading multiple images
* Added: envira_isotopes and envira_isotopes_config JS arrays for developers
* Updated: Isotope to 3.0.0
* Updated: ImagesLoaded to 4.1.0
* Updated: Standardised edit screen titles and descriptions
* Fix: Better rendering of Isotope layouts using imagesLoaded
* Fix: Image uploader on Add/Edit screen not displaying on some tablet and mobile devices
* Fix: Checkmark icon wrongly displaying on modal close when editing images.
* Fix: Display text in warning when Envira Lite and Envira are both activated.
* Fix: Ensure that third party notification plugins donÃ¢â‚¬â„¢t remove the Envira logo and header from Envira screens
* Fix: Various resets for images and captions to prevent themes overriding default behaviour
* Fix: Minified admin CSS for faster load times
* Fix: When editing an image, store any checkbox values if checked, instead of assuming 1 or 0 for better Addon compatibility.

= 1.5.0.1 =
* Updated: Standardised edit screen titles and descriptions
* Updated: Screenshots

= 1.5.0 =
* Added: New UI
* Added: WordPress native modal window for image upload, insertion from Media Library and edit
* Added: Isotope / masonry layout on galleries
* Added: Define Image Size for Images (either a WordPress registered size or your own dimensions)

= 1.3.5.9 =
* Fix: WordPress 4.5 compatibility.

= 1.3.5.8 =
* Fix: Changed retina icon filenames to ensure they work with All in One WP Security
* Fix: Removed unused image files

= 1.3.5.7 =
* Fix: Use WP_Query to get galleries by slug when cache/transient is empty, preventing output blanking after a day when using caching plugins

= 1.3.5.6 =
* Fix: Menu icon would not display when All In One WP Security activated

= 1.3.5.5 =
* Fix: Use WP_Query to get galleries when cache/transient is empty, preventing output blanking after a day when using caching plugins

= 1.3.5.4 =
* Fix: Slug would not save when changed

= 1.3.5.3 =
* Fix: Close icon display on modals for WordPress 4.4

= 1.3.5.2 =
* Fix: Correct image orientation for uploaded images (whether through Envira or not). Fixes known issue: https://core.trac.wordpress.org/ticket/14459

= 1.3.5.1 =
* Fix: Shortcodes using slugs working with WordPress 4.3+

= 1.3.5.0 =
* Fix: Prevent Envira Custom Post Type from appearing in search results, which would result in a 404

= 1.3.4.10 =
* Fix: Get rid of undefined property errors

= 1.3.4.9 =
* Fix: Removed unused variables

= 1.3.4.8 =
* Fix: Changed text domain and settings for localization to meet translate.wordpress.org requirements

= 1.3.4.7 =
* Fix: Remove HTML tags from image title attribute on hover

= 1.3.4.6 =
* Fix: Optimized theme images

= 1.3.4.5 =
* Added: Better debugging when WP_DEBUG enabled and images do not crop/resize

= 1.3.4.4 =
* Fix: Localization support with correct domain

= 1.3.4.3 =
* Added: German translations

= 1.3.4.2 =
* Fix: Made lightbox strings translatable for close, previous and next

= 1.3.4.1 =
* Fix: 4.3 compatibility for modal close icon

= 1.3.4 =
* Fix: Removed console.log entry in JS which would have caused image upload issues in legacy IE browsers

= 1.3.3 =
* Added: Enable/disable Lightbox option

= 1.3.2 =
* Added: Units label to Column Gutter Width and Margin Below Each Image settings

= 1.3.1 =
* Fix: Force ID on save, to ensure compat with WPML and duplication plugins

= 1.3.0 =
* Fix: Sorting images and not clicking Update would result in loss of configuration

= 1.2.9 =
* Added: envira_minify_strip_double_forward_slashes filter when minifying, allowing developers to disable this for edge cases

= 1.2.8 =
* Added: RTL Support

= 1.2.7 =
* Added: Caption Position Float (Wrapped) option, to wrap Lightbox Caption text to match width of image.

= 1.2.6 =
* Added: Insert Images Modal automatically loads more images on scroll
* Added: Insert Images Modal search functionality performance improved
* Fix: Better Insert Images Modal image grid layout for WordPress 4.0+

= 1.2.5 =
* Added: WordPress 4.2.1 support

= 1.2.4 =
* Fix: This Post's was missing when using the Add button

= 1.2.3 =
* Added: Mobile - lightbox arrows remain displayed on touchscreen devices, so it is clearer to the user how they can navigate through the images

= 1.2.2 =
* Fix: Image title link color changed to stand out from image title background color in Lightbox

= 1.2.1 =
* Fix: Loading localization language files for some installations

= 1.2.0 =
* Added: .POT file for translation / localization support

= 1.1.9 =
* Added: Minified editor JS

= 1.1.8 =
* Added: CSS minification for Administration CSS

= 1.1.7 =
* Fix: Minification of inline CSS and JS
* Fix: Alt tags on images
* Fix: Links on Lightbox Image Titles

= 1.1.6 =
* Fix: Upgraded Fancybox to 2.1.5
* Fix: Improved error message UI when uploading files exceeding WordPress / PHP file size limits

= 1.1.5 =
* Fix: Metadata - close window would not always work after uploading new images
* Fix: Support single quotation character in Image Title

= 1.1.4 =
* Added: Metadata - Image Alt Text Helpful Tip
* Fix: Metadata - wp_editor too large for smaller screen resolutions

= 1.1.3 =
* Fix: Enable HTML captions

= 1.1.2 =
* Fix: WordPress 4.0 support for Add Slider attachment window

= 1.1.1 =
* Compatibility updates with WordPress 4.1.

= 1.1.0.1 =
* Fixed bug with saving image titles.

= 1.1.0 =
* Fixed bug with HTML being output on image hover for title attribute.
* Fixed bug with internal link dialog being shown below the edit metadata modal window.

= 1.0.9 =
* Fixed JS error issues with WordPress 3.9.
* Added ability to link to external URLs in images.
* Other miscellaneous bug fixes and improvements.

= 1.0.8.1 =
* Fixed fatal error with calling wrong class name.

= 1.0.8 =
* Fixed bug where URLs would not switch over if migrating to a new site.
* Fixed bug with image uploader and WordPress 3.9.
* Fixed bug with Quicktags duplicating for image uploaded with the drag-and-drop uploader.

= 1.0.7 =
* Fixed crop images issue where the original and destination dimensions match.
* Ensure to restrain thumbnail views.

= 1.0.6.1 =
* Ensure post form is available before setting post hash.

= 1.0.6 =
* Added hash support for settings tabs.

= 1.0.5 =
* Fixed undefined index notice with media max_upload_size variable.

= 1.0.4 =
* No more limit restrictions. You can now create as many galleries as you want.
* Features not accessible in Lite version are now removed from display.
* Fixed bug with resizing not working properly on window resize.
* Updated the uploader script to reduce outside conflicts.
* Better style support for the display.
* Numerous other bug fixes and improvements.

= 1.0.3.1 =
* Flush caches when interacting with meta.
* Fixed Isotope init on resize.
* Added Isotope config hooks.
* Added constant ENVIRA_FORCE_ACTIVATION that, when defined, allows you to load Envira on WordPress installs less than 3.8 (no guarantees of everything working properly).
* Fixed improper mobile loading.

= 1.0.3 =
* Fixed performance leak with Isotope. Galleries should load much faster now!

= 1.0.2.1 =
* Added ability to pass args in template tag.

= 1.0.2 =
* Fixed bug with cropped images not loading properly.
* Added hook for cache flush utility method.

= 1.0.1 =
* Fixed bug with preloading a large # of images and the
 display not resorting properly.

= 1.0.0 =
* Initial release.
